Startup Issue with Minecraft - Server won't start with required client for modpack

System Information

Field Value
Operating System Linux - Debian GNU/Linux 12 on x86_64
Product AMP ‘Callisto’ v2.5.0.12 (Mainline)
Virtualization Docker
Application Minecraft
Module MinecraftModule
Running in Container Yes
Current State Failed

Problem Description

Issue

I want to play the modpack Roguelike Adventure and Dungeons on my server. However, the pack plays on forge 14.23.5.2860 and when I change the server to useing this forge version, it no longer starts.

Reproduction Steps

  • Update server
  • Change client
  • Ensure modpack is on most recent client available

Make sure to read the log to see what’s going on, not like we can read minds or anything lol.
Though if I were to guess, you need to switch the server to use Java 8.

The only line in the logs with a warning says this:
[00:15:18] [ServerMain/WARN]: Failed to parse level-type default, defaulting to minecraft:normal

But switching to Java 8 made all the difference!

Thanks so much!